#include <bits/stdc++.h>

#define EPS 1e-6
#define MOD 1000000007
#define inf 0x3f3f3f3f
#define llinf 0x3f3f3f3f3f3f3f3f

#define fi first
#define se second
#define pb push_back
#define ende '\n'

#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define mset(x, y) memset(&x, (y), sizeof(x))

using namespace std; 

typedef long long ll;
typedef pair<int,int> ii;

int main() {
  ios::sync_with_stdio(0);
  cin.tie(0);

  int n, k; cin >> k >> n;
  vector<int> cnt(k + 1);
  for (int i = 0; i < n; ++i) {
    int x; cin >> x; cnt[x]++;
  }

  set<int> S;
  vector<int> v;

  for (int i = 1; i <= k; ++i) S.insert(cnt[i]);
  for (auto i : S) v.pb(i);

  auto find_cnt = [&](int x) {
    for (int i = 1; i <= k; ++i)
      if (cnt[i] == x)
        return i;

    assert(false);
  };


  int flo = n / k;
  int cei = (n - 1) / k + 1;

  if (n % k == 0 && (v.size() == 3 && v[0] == v[1] - 1 && v[1] == v[2] - 1))
    cout << "-" << find_cnt(v[2]) << " " << "+" << find_cnt(v[0]) << ende;
  else if (flo * k + 1 == n && (v.size() == 2 && v[0] == v[1] - 1))
    cout << "-" << find_cnt(v[1]) << ende;
  else if (cei * k - 1 == n && (v.size() == 2 && v[0] == v[1] - 1))
    cout << "+" << find_cnt(v[0]) << ende;
  else
    cout << "*" << ende;

  return 0;
}
