#include <bits/stdc++.h>

#define MAX 1010
#define EPS 1e-6
#define MOD 1000000007
#define inf 0x3f3f3f3f
#define llinf 0x3f3f3f3f3f3f3f3f

#define fi first
#define se second
#define pb push_back
#define ende '\n'

#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define mset(x, y) memset(&x, (y), sizeof(x))

using namespace std; 

typedef long long ll;
typedef pair<int,int> ii;

int n;
string s;
int dp[MAX][MAX];

bool solve(int i, int r) {
  if (i == s.size())
    return (r % n == 0);

  if (dp[i][r] != -1)
    return dp[i][r];

  if (s[i] == '?') {
    for (int j = (i == 0); j <= 9; ++j)
      if (solve(i + 1, (r * 10 + j) % n)) {
        s[i] = j + '0';
        return dp[i][r] = true;
      }
  } else {
    if (solve(i + 1, (r * 10 + (s[i] - '0')) % n))
      return dp[i][r] = true;
  }

  return dp[i][r] = false;
}

int main() {
  ios::sync_with_stdio(0);
  cin.tie(0);

  cin >> s >> n;
  mset(dp, -1);

  cout << (!solve(0, 0) ? "*" : s) << ende;
  return 0;
}

